Skip to main content
`Ctrl`+`K`

# PetscFERegisterAll

Registers all of the PetscFE components in the `PetscFE` package.

## Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode PetscFERegisterAll(void)

Not Collective

## See Also

`PetscFERegister()`, `PetscFERegisterDestroy()`

## Level

advanced

## Location

src/dm/interface/dmregall.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages